#
# spec file for package python-decorator
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-decorator
Version:        3.4.2
Release:        6.2
Url:            http://pypi.python.org/pypi/decorator
Summary:        Better living through Python with decorators
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/decorator/decorator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
As of now, writing custom decorators correctly requires some experience and it
is not as easy as it could be. For instance, typical implementations of
decorators involve nested functions, and we all know that flat is better than
nested. Moreover, typical implementations of decorators do not preserve the
signature of decorated functions, thus confusing both documentation tools and
developers.

The aim of the decorator module it to simplify the usage of decorators for the
average programmer, and to popularize decorators usage giving examples of
useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.

%prep
%setup -q -n decorator-%{version}
sed -i 's/\r//' README.rst # Fix EOL encoding

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/decorator.py
%{python_sitelib}/decorator.pyc
%{python_sitelib}/decorator-%{version}-py%{py_ver}.egg-info

%changelog
* Sat May  2 2015 benoit.monin@gmx.fr
- update to version 3.4.2:
  * Same as 3.4.1, re-uploaded to PyPI
- additional changes from version 3.4.1:
  * Ported the repository from GoogleCode to GitHub and added
    Travis CI support
  * Tests are executed with the new command `python test.py -v`
  * setuptools is now mandatory in Python 3
  * The suggested installation tool is `pip`, not `easy_install`
  * Supported IronPython and other Python implementations without
    sys._getframe, as requested by Doug Blank
- remove python-nose from BuildRequires, unneeded
- replace README.txt with README.rst: changed upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jun 25 2013 dmueller@suse.com
- update to 3.4.0:
  * Added the ability to use classes and generic callables as callers and
  implemented a signature-preserving contexmanager decorator. Fixed a bug
  with the signature f(**kw) in Python 3 and fixed a couple of doctests
  broken by Python 3.3, both issues pointed out by Dominic Sacré (18/10/2012)
* Wed May 23 2012 highwaystar.ru@gmail.com
- update to version 3.3.3
- minor spec improvement
- python3 package added
* Tue Nov 29 2011 cfarrell@suse.com
- license update: BSD-2-Clause
  SPDX format
* Thu Nov 24 2011 idoenmez@suse.de
- Update to upstream tarball, no code changes
* Mon Sep 26 2011 saschpe@suse.de
- Add python-distribute (setuptools) BuildRequires, seemed to got lost
* Thu Sep  1 2011 saschpe@suse.de
- Update to version 3.3.2
- Added proper changes file
* Thu Jan  7 2010 hpj@urpla.net
- Update to 3.3.0
* Mon Aug 10 2009 cfarrell1980@gmail.com
- Update to 3.0.1
* Tue Dec  2 2008 jfunk@funktronics.ca
- Initial release
